System Alert: OpenSSL Heartbleed Security Vulnerability

On Monday, the OpenSSL project released an update to address a serious security vulnerability nicknamed “Heartbleed”. This vulnerability impacts the encryption used for internet communications and could allow access to decrypted HTTPS traffic.

What you should do:

If have sites or applications hosted which store their credentials or other sensitive data, we strongly recommend that users update their website and online account passwords. Since API Keys are used for accessing your account via the API and SMTP, we also recommend deactivating old keys and replacing them with new keys.
So, we also recommend auditing all services you may use to determine if they are also vulnerable, taking steps to repair any vulnerable services, and replacing SSL certificates once the vulnerability has been removed.